"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_assert_1 = __importDefault(require("node:assert"));
const node_test_1 = require("node:test");
const v = __importStar(require("valibot"));
const dcql_claims_query_result_js_1 = require("./dcql-claims-query-result.js");
const claimsPathPointerExample = {
    name: 'Arthur Dent',
    address: {
        street_address: '42 Market Street',
        locality: 'Milliways',
        postal_code: '12345',
    },
    degrees: [
        {
            type: 'Bachelor of Science',
            university: 'University of Betelgeuse',
        },
        {
            type: 'Master of Science',
            university: 'University of Betelgeuse',
        },
    ],
    nationalities: ['British', 'Betelgeusian'],
};
void (0, node_test_1.describe)('claims-path', () => {
    void (0, node_test_1.it)('name', _t => {
        const parser = (0, dcql_claims_query_result_js_1.getJsonClaimsParser)([{ path: ['name'] }], {
            presentation: false,
        });
        const res = v.parse(parser, claimsPathPointerExample);
        node_assert_1.default.deepStrictEqual(res, {
            name: 'Arthur Dent',
        });
    });
    void (0, node_test_1.it)('address', _t => {
        const parser = (0, dcql_claims_query_result_js_1.getJsonClaimsParser)([{ path: ['address'] }], {
            presentation: false,
        });
        const res = v.parse(parser, claimsPathPointerExample);
        node_assert_1.default.deepStrictEqual(res, {
            address: {
                street_address: '42 Market Street',
                locality: 'Milliways',
                postal_code: '12345',
            },
        });
    });
    void (0, node_test_1.it)('address street address', _t => {
        const parser = (0, dcql_claims_query_result_js_1.getJsonClaimsParser)([{ path: ['address', 'street_address'] }], { presentation: false });
        const res = v.parse(parser, claimsPathPointerExample);
        node_assert_1.default.deepStrictEqual(res, {
            address: {
                street_address: '42 Market Street',
            },
        });
    });
    void (0, node_test_1.it)('nationalities', _t => {
        const parser = (0, dcql_claims_query_result_js_1.getJsonClaimsParser)([{ path: ['nationalities', 1] }], {
            presentation: false,
        });
        const res = v.parse(parser, claimsPathPointerExample);
        node_assert_1.default.deepStrictEqual(res, {
            nationalities: 'Betelgeusian',
        });
    });
    void (0, node_test_1.it)('all degree types', _t => {
        const parser = (0, dcql_claims_query_result_js_1.getJsonClaimsParser)([{ path: ['degrees', null, 'type'] }], {
            presentation: false,
        });
        const res = v.parse(parser, claimsPathPointerExample);
        node_assert_1.default.deepStrictEqual(res, {
            degrees: [{ type: 'Bachelor of Science' }, { type: 'Master of Science' }],
        });
    });
});
//# sourceMappingURL=claims-path.test.js.map