"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runCredentialQuery = void 0;
/* eslint-disable @typescript-eslint/no-non-null-assertion */
const v = __importStar(require("valibot"));
const dcql_claims_query_result_js_1 = require("./dcql-claims-query-result.js");
const runCredentialQuery = (credentialQuery, ctx) => {
    const { credentials, presentation } = ctx;
    const claimSets = credentialQuery.claim_sets ?? [undefined];
    // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
    const credentialQueryResult = new Array(claimSets.length).fill([]);
    for (const [claimSetIndex, claim_set] of claimSets.entries()) {
        const credentialParser = (0, dcql_claims_query_result_js_1.getCredentialQueryParser)(credentialQuery, {
            claimSet: claim_set,
            presentation,
        });
        for (const [credentialIndex, credential] of credentials.entries()) {
            if (claimSetIndex > 0) {
                // if one the credential was successfully parsed against a previous claimsset we don't need to further validate other claim sets
                const previous = credentialQueryResult[claimSetIndex - 1][credentialIndex];
                // if the previous credential was successfully parsed we don't need to further validate the current credential
                // we set all further parsing attempts to undefined
                if (previous?.success || !previous) {
                    credentialQueryResult[claimSetIndex][credentialIndex] = undefined;
                    continue;
                }
            }
            const parseResult = v.safeParse(credentialParser, credential);
            credentialQueryResult[claimSetIndex].push({
                ...parseResult,
                ...(parseResult.issues && {
                    flattened: v.flatten(parseResult.issues),
                }),
                input_credential_index: credentialIndex,
                claim_set_index: credentialQuery.claim_sets ? claimSetIndex : undefined,
            });
        }
    }
    return credentialQueryResult;
};
exports.runCredentialQuery = runCredentialQuery;
//# sourceMappingURL=dcql-credential-query-result.js.map