import * as v from 'valibot';
import { vCredentialParseSuccess } from '../u-dcql.js';
export declare namespace DcqlQueryResult {
    type CredentialParseSuccess = v.InferOutput<typeof vCredentialParseSuccess>;
    const vCredentialQueryResult: v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.UnionSchema<[v.UndefinedSchema<undefined>, v.ObjectSchema<{
        readonly success: v.LiteralSchema<true, undefined>;
        readonly typed: v.LiteralSchema<true, undefined>;
        readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
        readonly input_credential_index: v.NumberSchema<undefined>;
        readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
        readonly output: v.VariantSchema<"credential_format", [v.ObjectSchema<{
            readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
            readonly doctype: v.StringSchema<undefined>;
            readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
        }, undefined>, v.ObjectSchema<{
            readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
            readonly vct: v.StringSchema<undefined>;
            readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
        }, undefined>, v.ObjectSchema<{
            readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
            readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
        }, undefined>], undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly success: v.LiteralSchema<false, undefined>;
        readonly typed: v.BooleanSchema<undefined>;
        readonly output: v.UnknownSchema;
        readonly issues: v.SchemaWithPipe<[v.ArraySchema<v.UnknownSchema, undefined>, v.CustomSchema<[unknown, ...unknown[]], undefined>]>;
        readonly input_credential_index: v.NumberSchema<undefined>;
        readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
    }, undefined>], undefined>, undefined>, undefined>, v.CustomSchema<[({
        output: {
            credential_format: "mso_mdoc";
            doctype: string;
            namespaces: {
                [x: string]: {
                    [x: string]: unknown;
                };
            };
        } | {
            credential_format: "vc+sd-jwt";
            vct: string;
            claims: {
                [x: string]: import("../u-dcql.js").Json;
            };
        } | {
            credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
            claims: {
                [x: string]: import("../u-dcql.js").Json;
            };
        };
        success: true;
        typed: true;
        claim_set_index: number | undefined;
        input_credential_index: number;
        issues?: undefined;
    } | {
        output: unknown;
        success: false;
        typed: boolean;
        issues: [unknown, ...unknown[]];
        claim_set_index: number | undefined;
        input_credential_index: number;
    } | undefined)[], ...({
        output: {
            credential_format: "mso_mdoc";
            doctype: string;
            namespaces: {
                [x: string]: {
                    [x: string]: unknown;
                };
            };
        } | {
            credential_format: "vc+sd-jwt";
            vct: string;
            claims: {
                [x: string]: import("../u-dcql.js").Json;
            };
        } | {
            credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
            claims: {
                [x: string]: import("../u-dcql.js").Json;
            };
        };
        success: true;
        typed: true;
        claim_set_index: number | undefined;
        input_credential_index: number;
        issues?: undefined;
    } | {
        output: unknown;
        success: false;
        typed: boolean;
        issues: [unknown, ...unknown[]];
        claim_set_index: number | undefined;
        input_credential_index: number;
    } | undefined)[][]], undefined>]>;
    type CredentialQueryResult = v.InferOutput<typeof vCredentialQueryResult>;
    const vModel: v.ObjectSchema<{
        readonly credentials: v.SchemaWithPipe<[v.ArraySchema<v.VariantSchema<"format", [v.ObjectSchema<{
            readonly format: v.SchemaWithPipe<[v.LiteralSchema<"mso_mdoc", undefined>, v.DescriptionAction<"mso_mdoc", "REQUIRED. A string that specifies the format of the requested Verifiable Credential.">]>;
            readonly claims: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>, v.DescriptionAction<string | undefined, "A string identifying the particular claim. The value MUST be a non-empty string consisting of alphanumeric, underscore (_) or hyphen (-) characters. Within the particular claims array, the same id MUST NOT be present more than once.">]>;
                readonly namespace: v.SchemaWithPipe<[v.StringSchema<undefined>, v.DescriptionAction<string, "A string that specifies the namespace of the data element within the mdoc, e.g., org.iso.18013.5.1.">]>;
                readonly claim_name: v.SchemaWithPipe<[v.StringSchema<undefined>, v.DescriptionAction<string, "A string that specifies the data element identifier of the data element within the provided namespace in the mdoc, e.g., first_name.">]>;
                readonly values: v.SchemaWithPipe<[v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>]>, v.BooleanSchema<undefined>], undefined>, undefined>, never>, v.DescriptionAction<(string | number | boolean)[] | undefined, "An array of strings, integers or boolean values that specifies the expected values of the claim. If the values property is present, the Wallet SHOULD return the claim only if the type and value of the claim both match for at least one of the elements in the array.">]>;
            }, undefined>, undefined>, v.CustomSchema<[{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]], undefined>]>, never>, v.DescriptionAction<[{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined, "OPTIONAL. A non-empty array of objects as that specifies claims in the requested Credential.">]>;
            readonly meta: v.SchemaWithPipe<[v.OptionalSchema<v.ObjectSchema<{
                readonly doctype_value: v.SchemaWithPipe<[v.OptionalSchema<v.StringSchema<undefined>, never>, v.DescriptionAction<string | undefined, "OPTIONAL. String that specifies an allowed value for the doctype of the requested Verifiable Credential.">]>;
            }, undefined>, never>, v.DescriptionAction<{
                doctype_value?: string | undefined;
            } | undefined, "OPTIONAL. An object defining additional properties requested by the Verifier that apply to the metadata and validity data of the Credential.">]>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>, v.DescriptionAction<string, "REQUIRED. A string identifying the Credential in the response and, if provided, the constraints in 'credential_sets'.">]>;
            readonly claim_sets: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.CustomSchema<[string[], ...string[][]], undefined>]>, never>, v.DescriptionAction<[string[], ...string[][]] | undefined, "OPTIONAL. A non-empty array containing arrays of identifiers for elements in 'claims' that specifies which combinations of 'claims' for the Credential are requested.">]>;
        }, undefined>, v.ObjectSchema<{
            readonly format: v.SchemaWithPipe<[v.LiteralSchema<"vc+sd-jwt", undefined>, v.DescriptionAction<"vc+sd-jwt", "REQUIRED. A string that specifies the format of the requested Verifiable Credential.">]>;
            readonly claims: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>, v.DescriptionAction<string | undefined, "A string identifying the particular claim. The value MUST be a non-empty string consisting of alphanumeric, underscore (_) or hyphen (-) characters. Within the particular claims array, the same id MUST NOT be present more than once.">]>;
                readonly path: v.SchemaWithPipe<[v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.NullSchema<undefined>], undefined>, undefined>, v.DescriptionAction<(string | number | null)[], "A non-empty array representing a claims path pointer that specifies the path to a claim within the Verifiable Credential.">]>;
                readonly values: v.SchemaWithPipe<[v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>]>, v.BooleanSchema<undefined>], undefined>, undefined>, never>, v.DescriptionAction<(string | number | boolean)[] | undefined, "An array of strings, integers or boolean values that specifies the expected values of the claim. If the values property is present, the Wallet SHOULD return the claim only if the type and value of the claim both match for at least one of the elements in the array.">]>;
            }, undefined>, undefined>, v.CustomSchema<[{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]], undefined>]>, never>, v.DescriptionAction<[{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined, "OPTIONAL. A non-empty array of objects as that specifies claims in the requested Credential.">]>;
            readonly meta: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.ObjectSchema<{
                readonly vct_values: v.OptionalSchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, never>;
            }, undefined>, v.DescriptionAction<{
                vct_values?: string[] | undefined;
            }, "OPTIONAL. An array of strings that specifies allowed values for the type of the requested Verifiable Credential.">]>, never>, v.DescriptionAction<{
                vct_values?: string[] | undefined;
            } | undefined, "OPTIONAL. An object defining additional properties requested by the Verifier that apply to the metadata and validity data of the Credential.">]>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>, v.DescriptionAction<string, "REQUIRED. A string identifying the Credential in the response and, if provided, the constraints in 'credential_sets'.">]>;
            readonly claim_sets: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.CustomSchema<[string[], ...string[][]], undefined>]>, never>, v.DescriptionAction<[string[], ...string[][]] | undefined, "OPTIONAL. A non-empty array containing arrays of identifiers for elements in 'claims' that specifies which combinations of 'claims' for the Credential are requested.">]>;
        }, undefined>, v.ObjectSchema<{
            readonly format: v.PicklistSchema<["jwt_vc_json", "jwt_vc_json-ld"], undefined>;
            readonly claims: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
                readonly id: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, never>, v.DescriptionAction<string | undefined, "A string identifying the particular claim. The value MUST be a non-empty string consisting of alphanumeric, underscore (_) or hyphen (-) characters. Within the particular claims array, the same id MUST NOT be present more than once.">]>;
                readonly path: v.SchemaWithPipe<[v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>, v.MinValueAction<number, 0, undefined>]>, v.NullSchema<undefined>], undefined>, undefined>, v.DescriptionAction<(string | number | null)[], "A non-empty array representing a claims path pointer that specifies the path to a claim within the Verifiable Credential.">]>;
                readonly values: v.SchemaWithPipe<[v.OptionalSchema<v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.SchemaWithPipe<[v.NumberSchema<undefined>, v.IntegerAction<number, undefined>]>, v.BooleanSchema<undefined>], undefined>, undefined>, never>, v.DescriptionAction<(string | number | boolean)[] | undefined, "An array of strings, integers or boolean values that specifies the expected values of the claim. If the values property is present, the Wallet SHOULD return the claim only if the type and value of the claim both match for at least one of the elements in the array.">]>;
            }, undefined>, undefined>, v.CustomSchema<[{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]], undefined>]>, never>;
            readonly id: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>, v.DescriptionAction<string, "REQUIRED. A string identifying the Credential in the response and, if provided, the constraints in 'credential_sets'.">]>;
            readonly claim_sets: v.SchemaWithPipe<[v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.CustomSchema<[string[], ...string[][]], undefined>]>, never>, v.DescriptionAction<[string[], ...string[][]] | undefined, "OPTIONAL. A non-empty array containing arrays of identifiers for elements in 'claims' that specifies which combinations of 'claims' for the Credential are requested.">]>;
        }, undefined>], undefined>, undefined>, v.CustomSchema<[{
            id: string;
            format: "mso_mdoc";
            claims?: [{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                doctype_value?: string | undefined;
            } | undefined;
        } | {
            id: string;
            format: "vc+sd-jwt";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                vct_values?: string[] | undefined;
            } | undefined;
        } | {
            id: string;
            format: "jwt_vc_json-ld" | "jwt_vc_json";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
        }, ...({
            id: string;
            format: "mso_mdoc";
            claims?: [{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                doctype_value?: string | undefined;
            } | undefined;
        } | {
            id: string;
            format: "vc+sd-jwt";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                vct_values?: string[] | undefined;
            } | undefined;
        } | {
            id: string;
            format: "jwt_vc_json-ld" | "jwt_vc_json";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
        })[]], undefined>, v.DescriptionAction<[{
            id: string;
            format: "mso_mdoc";
            claims?: [{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                doctype_value?: string | undefined;
            } | undefined;
        } | {
            id: string;
            format: "vc+sd-jwt";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                vct_values?: string[] | undefined;
            } | undefined;
        } | {
            id: string;
            format: "jwt_vc_json-ld" | "jwt_vc_json";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
        }, ...({
            id: string;
            format: "mso_mdoc";
            claims?: [{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                namespace: string;
                claim_name: string;
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                doctype_value?: string | undefined;
            } | undefined;
        } | {
            id: string;
            format: "vc+sd-jwt";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
            meta?: {
                vct_values?: string[] | undefined;
            } | undefined;
        } | {
            id: string;
            format: "jwt_vc_json-ld" | "jwt_vc_json";
            claims?: [{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }, ...{
                path: (string | number | null)[];
                values?: (string | number | boolean)[] | undefined;
                id?: string | undefined;
            }[]] | undefined;
            claim_sets?: [string[], ...string[][]] | undefined;
        })[]], "REQUIRED. A non-empty array of Credential Queries that specify the requested Verifiable Credentials.">]>;
        readonly credential_matches: v.RecordSchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, v.UnionSchema<[v.ObjectSchema<{
            readonly all: v.SchemaWithPipe<[v.ArraySchema<v.SchemaWithPipe<[v.ArraySchema<v.UnionSchema<[v.UndefinedSchema<undefined>, v.ObjectSchema<{
                readonly success: v.LiteralSchema<true, undefined>;
                readonly typed: v.LiteralSchema<true, undefined>;
                readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
                readonly input_credential_index: v.NumberSchema<undefined>;
                readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
                readonly output: v.VariantSchema<"credential_format", [v.ObjectSchema<{
                    readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
                    readonly doctype: v.StringSchema<undefined>;
                    readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
                    readonly vct: v.StringSchema<undefined>;
                    readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
                    readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
                }, undefined>], undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly success: v.LiteralSchema<false, undefined>;
                readonly typed: v.BooleanSchema<undefined>;
                readonly output: v.UnknownSchema;
                readonly issues: v.SchemaWithPipe<[v.ArraySchema<v.UnknownSchema, undefined>, v.CustomSchema<[unknown, ...unknown[]], undefined>]>;
                readonly input_credential_index: v.NumberSchema<undefined>;
                readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
            }, undefined>], undefined>, undefined>, v.CustomSchema<[{
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined, ...({
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined)[]], undefined>]>, undefined>, v.CustomSchema<[[{
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined, ...({
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined)[]], ...[{
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined, ...({
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined)[]][]], undefined>]>;
            readonly success: v.LiteralSchema<true, undefined>;
            readonly typed: v.LiteralSchema<true, undefined>;
            readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
            readonly input_credential_index: v.NumberSchema<undefined>;
            readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
            readonly output: v.VariantSchema<"credential_format", [v.ObjectSchema<{
                readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
                readonly doctype: v.StringSchema<undefined>;
                readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
                readonly vct: v.StringSchema<undefined>;
                readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
                readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
            }, undefined>], undefined>;
        }, undefined>, v.ObjectSchema<{
            readonly success: v.LiteralSchema<false, undefined>;
            readonly all: v.SchemaWithPipe<[v.ArraySchema<v.SchemaWithPipe<[v.ArraySchema<v.UnionSchema<[v.UndefinedSchema<undefined>, v.ObjectSchema<{
                readonly success: v.LiteralSchema<true, undefined>;
                readonly typed: v.LiteralSchema<true, undefined>;
                readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
                readonly input_credential_index: v.NumberSchema<undefined>;
                readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
                readonly output: v.VariantSchema<"credential_format", [v.ObjectSchema<{
                    readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
                    readonly doctype: v.StringSchema<undefined>;
                    readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
                    readonly vct: v.StringSchema<undefined>;
                    readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
                }, undefined>, v.ObjectSchema<{
                    readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
                    readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<import("../u-dcql.js").Json, import("../u-dcql.js").Json, v.BaseIssue<unknown>>, undefined>;
                }, undefined>], undefined>;
            }, undefined>, v.ObjectSchema<{
                readonly success: v.LiteralSchema<false, undefined>;
                readonly typed: v.BooleanSchema<undefined>;
                readonly output: v.UnknownSchema;
                readonly issues: v.SchemaWithPipe<[v.ArraySchema<v.UnknownSchema, undefined>, v.CustomSchema<[unknown, ...unknown[]], undefined>]>;
                readonly input_credential_index: v.NumberSchema<undefined>;
                readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
            }, undefined>], undefined>, undefined>, v.CustomSchema<[{
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined, ...({
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined)[]], undefined>]>, undefined>, v.CustomSchema<[[{
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined, ...({
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined)[]], ...[{
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined, ...({
                output: {
                    credential_format: "mso_mdoc";
                    doctype: string;
                    namespaces: {
                        [x: string]: {
                            [x: string]: unknown;
                        };
                    };
                } | {
                    credential_format: "vc+sd-jwt";
                    vct: string;
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                } | {
                    credential_format: "jwt_vc_json-ld" | "jwt_vc_json";
                    claims: {
                        [x: string]: import("../u-dcql.js").Json;
                    };
                };
                success: true;
                typed: true;
                claim_set_index: number | undefined;
                input_credential_index: number;
                issues?: undefined;
            } | {
                output: unknown;
                success: false;
                typed: boolean;
                issues: [unknown, ...unknown[]];
                claim_set_index: number | undefined;
                input_credential_index: number;
            } | undefined)[]][]], undefined>]>;
        }, undefined>], undefined>, undefined>;
        readonly credential_sets: v.OptionalSchema<v.SchemaWithPipe<[v.ArraySchema<v.ObjectSchema<{
            readonly matching_options: v.UnionSchema<[v.UndefinedSchema<undefined>, v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.StringSchema<undefined>, undefined>, undefined>, v.CustomSchema<[string[], ...string[][]], undefined>]>], undefined>;
            readonly options: v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.CustomSchema<[string[], ...string[][]], undefined>, v.DescriptionAction<[string[], ...string[][]], "REQUIRED. A non-empty array, where each value in the array is a list of Credential Query identifiers representing one set of Credentials that satisfies the use case.">]>;
            readonly required: v.SchemaWithPipe<[v.OptionalSchema<v.BooleanSchema<undefined>, true>, v.DescriptionAction<boolean, "OPTIONAL. Boolean which indicates whether this set of Credentials is required to satisfy the particular use case at the Verifier. If omitted, the default value is 'true'.">]>;
            readonly purpose: v.SchemaWithPipe<[v.OptionalSchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>], undefined>, never>, v.DescriptionAction<string | number | {
                [x: string]: unknown;
            } | undefined, "OPTIONAL. A string, number or object specifying the purpose of the query.">]>;
        }, undefined>, undefined>, v.CustomSchema<[{
            options: [string[], ...string[][]];
            required: boolean;
            matching_options: [string[], ...string[][]] | undefined;
            purpose?: string | number | {
                [x: string]: unknown;
            } | undefined;
        }, ...{
            options: [string[], ...string[][]];
            required: boolean;
            matching_options: [string[], ...string[][]] | undefined;
            purpose?: string | number | {
                [x: string]: unknown;
            } | undefined;
        }[]], undefined>, v.DescriptionAction<[{
            options: [string[], ...string[][]];
            required: boolean;
            matching_options: [string[], ...string[][]] | undefined;
            purpose?: string | number | {
                [x: string]: unknown;
            } | undefined;
        }, ...{
            options: [string[], ...string[][]];
            required: boolean;
            matching_options: [string[], ...string[][]] | undefined;
            purpose?: string | number | {
                [x: string]: unknown;
            } | undefined;
        }[]], "OPTIONAL. A non-empty array of credential set queries that specifies additional constraints on which of the requested Verifiable Credentials to return.">]>, never>;
        readonly canBeSatisfied: v.BooleanSchema<undefined>;
    }, undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Output = v.InferOutput<typeof vModel>;
    type CredentialMatch = Input['credential_matches'][number];
    type CredentialMatchRecord = Input['credential_matches'];
}
export type DcqlQueryResult = DcqlQueryResult.Output;
//# sourceMappingURL=m-dcql-query-result.d.ts.map