"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DcqlClaimsQuery = void 0;
const v = __importStar(require("valibot"));
const u_dcql_js_1 = require("../u-dcql.js");
/**
 * Specifies claims withing a requested Credential.
 */
var DcqlClaimsQuery;
(function (DcqlClaimsQuery) {
    DcqlClaimsQuery.vValue = v.union([
        v.string(),
        v.pipe(v.number(), v.integer()),
        v.boolean(),
    ]);
    DcqlClaimsQuery.vPath = v.union([
        v.string(),
        v.pipe(v.number(), v.integer(), v.minValue(0)),
        v.null(),
    ]);
    DcqlClaimsQuery.vW3cSdJwtVc = v.object({
        id: v.pipe(v.optional(v.pipe(v.string(), v.regex(u_dcql_js_1.idRegex))), v.description('A string identifying the particular claim. The value MUST be a non-empty string consisting of alphanumeric, underscore (_) or hyphen (-) characters. Within the particular claims array, the same id MUST NOT be present more than once.')),
        path: v.pipe(v.array(DcqlClaimsQuery.vPath), v.description('A non-empty array representing a claims path pointer that specifies the path to a claim within the Verifiable Credential.')),
        values: v.pipe(v.optional(v.array(DcqlClaimsQuery.vValue)), v.description('An array of strings, integers or boolean values that specifies the expected values of the claim. If the values property is present, the Wallet SHOULD return the claim only if the type and value of the claim both match for at least one of the elements in the array.')),
    });
    DcqlClaimsQuery.vMdoc = v.object({
        id: v.pipe(v.optional(v.pipe(v.string(), v.regex(u_dcql_js_1.idRegex))), v.description('A string identifying the particular claim. The value MUST be a non-empty string consisting of alphanumeric, underscore (_) or hyphen (-) characters. Within the particular claims array, the same id MUST NOT be present more than once.')),
        namespace: v.pipe(v.string(), v.description('A string that specifies the namespace of the data element within the mdoc, e.g., org.iso.18013.5.1.')),
        claim_name: v.pipe(v.string(), v.description('A string that specifies the data element identifier of the data element within the provided namespace in the mdoc, e.g., first_name.')),
        values: v.pipe(v.optional(v.array(DcqlClaimsQuery.vValue)), v.description('An array of strings, integers or boolean values that specifies the expected values of the claim. If the values property is present, the Wallet SHOULD return the claim only if the type and value of the claim both match for at least one of the elements in the array.')),
    });
    DcqlClaimsQuery.vModel = v.union([DcqlClaimsQuery.vMdoc, DcqlClaimsQuery.vW3cSdJwtVc]);
})(DcqlClaimsQuery || (exports.DcqlClaimsQuery = DcqlClaimsQuery = {}));
//# sourceMappingURL=m-dcql-claims-query.js.map