import * as v from 'valibot';
/**
 * A Credential Set Query is an object representing
 * a request for one or more credentials to satisfy a particular use case with the Verifier.
 */
export declare namespace CredentialSetQuery {
    const vModel: v.ObjectSchema<{
        readonly options: v.SchemaWithPipe<[v.ArraySchema<v.ArraySchema<v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>, undefined>, undefined>, v.CustomSchema<[string[], ...string[][]], undefined>, v.DescriptionAction<[string[], ...string[][]], "REQUIRED. A non-empty array, where each value in the array is a list of Credential Query identifiers representing one set of Credentials that satisfies the use case.">]>;
        readonly required: v.SchemaWithPipe<[v.OptionalSchema<v.BooleanSchema<undefined>, true>, v.DescriptionAction<boolean, "OPTIONAL. Boolean which indicates whether this set of Credentials is required to satisfy the particular use case at the Verifier. If omitted, the default value is 'true'.">]>;
        readonly purpose: v.SchemaWithPipe<[v.OptionalSchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>], undefined>, never>, v.DescriptionAction<string | number | {
            [x: string]: unknown;
        } | undefined, "OPTIONAL. A string, number or object specifying the purpose of the query.">]>;
    }, undefined>;
    type Input = v.InferInput<typeof vModel>;
    type Output = v.InferOutput<typeof vModel>;
}
export type CredentialSetQuery = CredentialSetQuery.Output;
//# sourceMappingURL=m-dcql-credential-set-query.d.ts.map