"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CredentialSetQuery = void 0;
const v = __importStar(require("valibot"));
const u_dcql_js_1 = require("../u-dcql.js");
/**
 * A Credential Set Query is an object representing
 * a request for one or more credentials to satisfy a particular use case with the Verifier.
 */
var CredentialSetQuery;
(function (CredentialSetQuery) {
    CredentialSetQuery.vModel = v.object({
        options: v.pipe(v.array(v.array(u_dcql_js_1.vIdString)), (0, u_dcql_js_1.vNonEmptyArray)(), v.description(`REQUIRED. A non-empty array, where each value in the array is a list of Credential Query identifiers representing one set of Credentials that satisfies the use case.`)),
        required: v.pipe(v.optional(v.boolean(), true), v.description(`OPTIONAL. Boolean which indicates whether this set of Credentials is required to satisfy the particular use case at the Verifier. If omitted, the default value is 'true'.`)),
        purpose: v.pipe(v.optional(v.union([v.string(), v.number(), v.record(v.string(), v.unknown())])), v.description(`OPTIONAL. A string, number or object specifying the purpose of the query.`)),
    });
})(CredentialSetQuery || (exports.CredentialSetQuery = CredentialSetQuery = {}));
//# sourceMappingURL=m-dcql-credential-set-query.js.map