import * as v from 'valibot';
export declare const idRegex: RegExp;
export declare const vNonEmptyArray: <T extends unknown[]>() => v.CustomSchema<[T[number], ...T], undefined>;
export declare const vIdString: v.SchemaWithPipe<[v.StringSchema<undefined>, v.RegexAction<string, undefined>]>;
export type Json = string | number | boolean | null | {
    [key: string]: Json;
} | Json[];
export declare const vJsonLiteral: v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>;
export type JsonLiteral = v.InferOutput<typeof vJsonLiteral>;
export declare const vJsonArray: v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, undefined>;
export declare const vJson: v.GenericSchema<Json>;
export declare const vJsonRecord: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>;
export type JsonRecord = v.InferOutput<typeof vJsonRecord>;
export declare const vJsonValue: v.UnionSchema<[v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, v.ArraySchema<v.UnionSchema<[v.StringSchema<undefined>, v.NumberSchema<undefined>, v.BooleanSchema<undefined>, v.NullSchema<undefined>], undefined>, undefined>, v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>], undefined>;
export declare const vStringToJson: v.RawTransformAction<string, Json>;
export declare const vCredentialParseSuccess: v.ObjectSchema<{
    readonly success: v.LiteralSchema<true, undefined>;
    readonly typed: v.LiteralSchema<true, undefined>;
    readonly issues: v.OptionalSchema<v.UndefinedSchema<undefined>, never>;
    readonly input_credential_index: v.NumberSchema<undefined>;
    readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
    readonly output: v.VariantSchema<"credential_format", [v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"mso_mdoc", undefined>;
        readonly doctype: v.StringSchema<undefined>;
        readonly namespaces: v.RecordSchema<v.StringSchema<undefined>, v.RecordSchema<v.StringSchema<undefined>, v.UnknownSchema, undefined>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly credential_format: v.LiteralSchema<"vc+sd-jwt", undefined>;
        readonly vct: v.StringSchema<undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>, v.ObjectSchema<{
        readonly credential_format: v.PicklistSchema<["jwt_vc_json-ld", "jwt_vc_json"], undefined>;
        readonly claims: v.RecordSchema<v.StringSchema<undefined>, v.GenericSchema<Json, Json, v.BaseIssue<unknown>>, undefined>;
    }, undefined>], undefined>;
}, undefined>;
export declare const vCredentialParseFailure: v.ObjectSchema<{
    readonly success: v.LiteralSchema<false, undefined>;
    readonly typed: v.BooleanSchema<undefined>;
    readonly output: v.UnknownSchema;
    readonly issues: v.SchemaWithPipe<[v.ArraySchema<v.UnknownSchema, undefined>, v.CustomSchema<[unknown, ...unknown[]], undefined>]>;
    readonly input_credential_index: v.NumberSchema<undefined>;
    readonly claim_set_index: v.UnionSchema<[v.NumberSchema<undefined>, v.UndefinedSchema<undefined>], undefined>;
}, undefined>;
//# sourceMappingURL=u-dcql.d.ts.map