import * as v from 'valibot';
import { DcqlParseError } from './dcql-error/e-dcql';
export type UnknownBaseSchema = v.BaseSchema<unknown, unknown, v.BaseIssue<unknown>>;
type EnsureOutputAssignableToInput<T extends UnknownBaseSchema> = v.InferOutput<T> extends v.InferInput<T> ? T : never;
export declare class Model<T extends UnknownBaseSchema> {
    private input;
    constructor(input: {
        vModel: EnsureOutputAssignableToInput<T>;
    });
    get v(): EnsureOutputAssignableToInput<T>;
    parse(input: T): DcqlParseError | v.InferOutput<T>;
    safeParse(input: unknown): {
        success: true;
        output: v.InferOutput<T>;
    } | {
        success: false;
        flattened: v.FlatErrors<T>;
        error: v.ValiError<T>;
    };
    is(input: unknown): input is v.InferOutput<T>;
}
export type InferModelTypes<T extends Model<any>> = T extends Model<infer U> ? {
    Input: v.InferInput<U>;
    Output: v.InferOutput<U>;
} : never;
export {};
//# sourceMappingURL=u-model.d.ts.map